package com.palmnest.application.dto;

import java.io.Serializable;

public class OrgDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -2297598905447289743L;
	
	private Integer id;
	private String name;

	public OrgDto() {
	}

	
	public OrgDto(Integer id, String name) {
		super();
		this.id = id;
		this.name = name;
	}


	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@Override
	public boolean equals(Object obj) {
		if(obj instanceof OrgDto) {
			OrgDto d = (OrgDto) obj;
			if(d.getId().equals(id)) {
				return true;
			}
		}
		return super.equals(obj);
	}
	@Override
	public String toString() {
		return "id:" + id +";" + "name :"+name;
	}
}
